Authentication
Check User Exists
Checks if a user by a given username, displayName or email exist. This is used during registration to check if a username has already been taken, during change of displayName to check if a displayName is available, and during change of email to check if the email is already used. In the later two cases the excludeUserId is used to exclude oneself, otherwise the result would always be true.
It is REQUIRED to include AT LEAST username, displayName or email query parameter. Although they can be combined - in addition with excludeUserId (generally to exclude yourself) - to further fine-tune the search.
Query Parameters
email?string
Filter by email.
displayName?string
Filter by displayName.
username?string
Filter by Username.
excludeUserId?string
Exclude by UserID.
Response Body
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/auth/exists"{
"nameOk": false,
"userExists": false
}{
"error": {
"message": "\"username, email, or displayName required\"",
"status_code": 400
}
}